Package com.xebialabs.deployit.plugin.api.udm.base

## Class BaseDeployable

- java.lang.Object
- - com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
  - - com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

- All Implemented Interfaces:
    `ConfigurationItem`, `Deployable`, `Taggable`, `java.io.Serializable`, `java.lang.Comparable<BaseConfigurationItem>`
  Direct Known Subclasses:
    `BaseDeployableArtifact`, `BaseDeployableContainer`, `BaseProvisionable`

      @Metadata(virtual=true,
                description="The supertype of all Deployables.")
      public class BaseDeployable
      extends BaseConfigurationItem
      implements Deployable

  Anything that is deployable to a `Container`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `id, syntheticProperties, type`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

    - ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

      `TAGS_FIELD`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BaseDeployable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<Template>` | `getBoundTemplates()` |
    `java.util.Set<java.lang.String>` | `getTags()` |
    `void` | `setBoundTemplates​(java.util.Set<Template> boundTemplates)` |
    `void` | `setTags​(java.util.Set<java.lang.String> tags)` |

    - ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

      `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

      `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

- - ### Constructor Detail

    - #### BaseDeployable

          public BaseDeployable()

  - ### Method Detail

    - #### getTags

          public java.util.Set<java.lang.String> getTags()

      Specified by:
        `getTags` in interface `Taggable`

    - #### setTags

          public void setTags​(java.util.Set<java.lang.String> tags)

      Specified by:
        `setTags` in interface `Taggable`

    - #### getBoundTemplates

          public java.util.Set<Template> getBoundTemplates()

    - #### setBoundTemplates

          public void setBoundTemplates​(java.util.Set<Template> boundTemplates)